#!/usr/bin/perl

use POSIX qw(locale_h);
use Encode;
use locale;
setlocale(LC_ALL,'ru_RU.CP1251');

my $str='abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZŨ';
my @all = split(//,$str);

my @utf;
foreach (@all)
  {
    my $s = encode('utf-8',decode('windows-1251',$_));
    push @utf,$s;
  }
my @utfsort = sort @all;
print join("\n",@utfsort)."\n";
